#!/bin/sh
echo 'name: abstract-par
version: 0.3.1
id: abstract-par-0.3.1-86aaca59773856e95273be6f0ae62632

license: BSD3
copyright: (c) Ryan Newton 2011-2012
maintainer: Ryan Newton <rrnewton@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
package-url:
synopsis: Type classes generalizing the functionality of the '\''monad-par'\'' library.
description: The '\''Par'\'' monad(s) offer an alternative
             parallel programming API to that provided by the
             @parallel@ package.
             A '\''Par'\'' monad allows the simple description of
             parallel computations, and can be used to add
             parallelism to pure Haskell code.  The basic API
             is straightforward: a @Par@ monad supports forking
             and simple communication in terms of '\''IVar'\''s.
             This module is an interface module only. It
             provides a number of type clasess, but not an
             implementation.  The type classes separate different
             levels of @Par@ functionality.  See the
             "Control.Monad.Par.Class" module for more details.
             The '\''monad-par'\'' library is one example of a
             concrete library providing this interface.
category: Control,Parallelism,Monads
author: Ryan Newton
exposed: True
exposed-modules: Control.Monad.Par.Class Control.Monad.Par.Unsafe
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/abstract-par-0.3.1
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/abstract-par-0.3.1
              /usr/local/lib
hs-libraries: HSabstract-par-0.3.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.0.0-1a022b3476300ed3e5bfdd46dd7221d0
         deepseq-1.3.0.0-6c19ec61ee16184ee322c1614ab60f0e
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/abstract-par-0.3.1/html/abstract-par.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/abstract-par-0.3.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
